data "aws_iam_policy_document" "lambda-load-role" {
  statement {
    effect = "Allow"
    principals {
      type        = "Service"
      identifiers = ["lambda.amazonaws.com"]
    }
    actions = ["sts:AssumeRole"]
  }
}

module "load-lambda" {
  source  = "./modules/lambda"
  name    = "load"
  handler = "load"
  policy  = data.aws_iam_policy_document.lambda-load-role.json
}
